%{?scl:%scl_package nodejs-%{module_name}}
%{!?scl:%global pkg_name %{name}}
%{?nodejs_find_provides_and_requires}

%global enable_tests 0
%global module_name duplexer

Name:           %{?scl_prefix}nodejs-%{module_name}
Version:        0.1.1
Release:        7%{?dist}
Summary:        Creates a duplex stream

License:        MIT
URL:            https://github.com/Raynos/duplexer
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  %{?scl_prefix}nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  %{?scl_prefix}npm(tape)
BuildRequires:  %{?scl_prefix}npm(through)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
node test
%endif

%files
%doc README.md LICENCE
%{nodejs_sitelib}/%{module_name}

%changelog
* Mon May 28 2018 Zuzana Svetlikova <zsvetlik@redhat.com> - 0.1.1-7
- Resolves: RHBZ#1543198, rebuild for multiarch

* Tue Feb 16 2016 Zuzana Svetlikova <zsvetlik@redhat.com> - 0.1.1-6
- Use macro in -runtime dependency

* Sun Feb 14 2016 Zuzana Svetlikova <zsvetlik@redhat.com> - 0.1.1-5
- Rebuilt with updated metapackage

* Thu Jan 14 2016 Tomas Hrcka <thrcka@redhat.com> - 0.1.1-4
- Enable find provides and requires macro

* Thu Jan 07 2016 Tomas Hrcka <thrcka@redhat.com> - 0.1.1-3
- Enable scl macros

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Dec 09 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.1.1-1
- Initial packaging
